diff options
author | Brad King <brad.king@kitware.com> | 2018-05-31 17:40:34 (GMT) |
---|---|---|
committer | Brad King <brad.king@kitware.com> | 2018-06-01 13:52:02 (GMT) |
commit | 523c443d135f6474cf5a9d0372b3cc364fc7ebe5 (patch) | |
tree | 82f22000589d6ded60d2c325b221c5290cda3d3d /Utilities | |
parent | eb7ec19c1c639e91b812763ead3a56e97d20aec4 (diff) | |
download | CMake-523c443d135f6474cf5a9d0372b3cc364fc7ebe5.zip CMake-523c443d135f6474cf5a9d0372b3cc364fc7ebe5.tar.gz CMake-523c443d135f6474cf5a9d0372b3cc364fc7ebe5.tar.bz2 |
clang-format.bash: update to clang-format-6.0
Update `.clang-format` with configuration to make the 6.0 format as
close as possible to what 3.8 produced before. Then revise the style:
* Indent preprocessor directives (a feature new since 3.8)
* Add a newline and indentation before inheritance `:` and `,`
Rename the Git attribute identifying the format to include the
clang-format version number: `format.clang-format-6.0`. This will aid
external infrastructure in knowing what version of the tool to run.
Diffstat (limited to 'Utilities')
-rw-r--r-- | Utilities/.gitattributes | 4 | ||||
-rwxr-xr-x | Utilities/Scripts/clang-format.bash | 10 |
2 files changed, 7 insertions, 7 deletions
diff --git a/Utilities/.gitattributes b/Utilities/.gitattributes index bd97802..96a4323 100644 --- a/Utilities/.gitattributes +++ b/Utilities/.gitattributes @@ -3,5 +3,5 @@ SetupForDevelopment.sh export-ignore # Do not format third-party sources. -/KWIML/** -format.clang-format -/cm*/** -format.clang-format +/KWIML/** -format.clang-format-6.0 +/cm*/** -format.clang-format-6.0 diff --git a/Utilities/Scripts/clang-format.bash b/Utilities/Scripts/clang-format.bash index 4c6225d..7ca4433 100755 --- a/Utilities/Scripts/clang-format.bash +++ b/Utilities/Scripts/clang-format.bash @@ -78,7 +78,7 @@ test "$#" = 0 || die "$usage" # Find a default tool. tools=' - clang-format-3.8 + clang-format-6.0 clang-format ' if test "x$clang_format" = "x"; then @@ -96,8 +96,8 @@ if ! type -p "$clang_format" >/dev/null; then exit 1 fi -if ! "$clang_format" --version | grep 'clang-format version 3\.8' >/dev/null 2>/dev/null; then - echo "clang-format version 3.8 is required (exactly)" +if ! "$clang_format" --version | grep 'clang-format version 6\.0' >/dev/null 2>/dev/null; then + echo "clang-format version 6.0 is required (exactly)" exit 1 fi @@ -115,8 +115,8 @@ esac $git_ls | # Select sources with our attribute. - git check-attr --stdin format.clang-format | - grep -e ': format\.clang-format: set$' | + git check-attr --stdin format.clang-format-6.0 | + grep -e ': format\.clang-format-6\.0: set$' | sed -n 's/:[^:]*:[^:]*$//p' | # Update sources in-place. |